Json.NET

http://james.newtonking.com/projects/json-net.aspx
http://www.codeplex.com/json/


Description:

Json.NET makes working with JSON formatted data in .NET simple. Quickly read and write JSON using LINQ to JSON or serialize your .NET objects with a single method call using the JsonSerializer.

-Flexible JSON serializer to convert .NET objects to JSON and back again 
-LINQ to JSON for reading and writing JSON 
-Writes indented, easy to read JSON 
-Convert JSON to and from XML 
-Supports Silverlight and Windows Phone



Versions:

Json.NET comes in different versions for the various .NET frameworks.

-DotNet:
  .NET latest (4.0)

-DotNet35:
  .NET 3.5 SP1, Mono

-DotNet20:
  .NET 2.0

-Silverlight:
  Silverlight 4.0

-WindowsPhone:
  Windows Phone 7

Microsoft stopped support for the Compact Framework in Visual Studio 2010.
For a Compact Framework 3.5 build download Json.NET 3.5.

For a Silverlight 3.0 build down download Json.NET 3.5.


Instructions:

 1. Extract Newtonsoft.Json.dll and Newtonsoft.Json.xml from the archive's /bin directory into your own applications.
 2. Add a reference to Newtonsoft.Json.dll within Visual Studio.NET to your project.



License:

Copyright (c) 2007 James Newton-King

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.